<?php
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';

$set['title']='Анкета (дня)';
require '../sys/inc/thead.php';
title();
err();
if (isset($_GET['action'])) {$act = esc($_GET['action']);} else {$act = 'index';} 
switch ($act):
##### Главная
case "index":
$arrs=mysql_fetch_array(mysql_query("SELECT * FROM `center_vnim` WHERE `id_user`='".$user['id']."'"));
################################################################################
if(isset($_GET['ok']))
{
header('Location: ?ok2');
}
if(isset($_GET['ok2']))
{
msg('Успешно');
}
################################################################################
if(isset($_GET['del']))
{
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `id` = '".intval($_GET['id'])."'"),0)==1)
{
$post=mysql_fetch_array(mysql_query("SELECT * FROM `center_vnim` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"));
if (isset($user) && ($user['level']>$ank['level'] || $user['level']==4))
mysql_query("DELETE FROM `center_vnim` WHERE `id` = '$post[id]'");
}

if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL)
header("Location: ".$_SERVER['HTTP_REFERER']);
else
header("Location: center_vnim.php?".SID);
}
################################################################################
function wtime($timediff){
$oneMinute=60;
$oneHour=60*60;
$oneDay=60*60*24;
$dayfield=floor($timediff/$oneDay);
$hourfield=floor(($timediff-$dayfield*$oneDay)/$oneHour);
$minutefield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour)/$oneMinute);
$secondfield=floor(($timediff-$dayfield*$oneDay-$hourfield*$oneHour-$minutefield*$oneMinute));
$time_1="$hourfield ч. $minutefield м. $secondfield сек.";
return $time_1;
}
################################################################################

$count=mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `time` > '$time'"),0);
if (user_access('adm_panel_show')){
echo "<div class='f2'>- <a href='?action=time'><b>Лидеры [Модерация]</b></a> ($count)</div>\n";}
echo "<div class='f1'><b>Баллов:</b> <u>$user[balls]</u><br />\n
Услуга \"Анкета дня\" позволяет разместить и показывать вашу анкету (по очереди с другими анкетами дня)
на главной странице сайта<br />\n
Продолжительность услуги <u><b>3ч.</b></u><br />\n
Активируй услугу и вас обязательно заметят.</div>\n";
//////
echo "<div class='f2'>Обращаем ваше внимание. Мы оставляем за собой  право приостановить действие услуги, в случае размешения в вашей анкете (или фото)
оскорбление, мат, реклама, ссылок на другие сайты.</div>\n";
//////
echo "<div class='f1'><b>Цена:</b> 500б.</div>\n";
//////
if($arrs['time']>=$time)
{
echo '<div class="f2"><b>Длительность услуги: '.wtime($arrs["time"]-time()).'</b></div>';
}else{
echo "<div class='f2'><form action='?action=vip' method='POST'><input type='submit' name='' value='Активировать' /></div>\n";
}
break;
################################################################################
case 'vip':
if ($user['balls']>499){
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-500)."' WHERE `id` = '$user[id]' LIMIT 1");
mysql_query("DELETE FROM `center_vnim` WHERE `id_user` = '$user[id]'");
mysql_query("INSERT INTO `center_vnim` (`id_user`, `time`) values('$user[id]', '".($time+10800)."')");
header('Location: ?ok');
}else{
echo "<div class='err'>У вас нету 500 баллов!</div>\n";
}
break;
################################################################################
case 'time':
if (user_access('adm_panel_show')){
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `time` > '$time'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `center_vnim` WHERE `time` > '$time' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
?>
<div class='noy'>Пусто!</div>
<?
}
while ($vip = mysql_fetch_assoc($q))
{
$ank=get_user($vip['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a><br />\n";
if (user_access('guest_delete'))echo "<a href='?del&amp;id=$vip[id]'>Удалить</a>\n";
echo "</div>\n";
}



if ($k_page>1)str("?action=time&amp;",$k_page,$page); // Вывод страниц
}
break;
################################################################################
case 'onl':
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `center_vnim` WHERE `time` > '$time'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `center_vnim` WHERE `time` > '$time' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
?>
<div class='noy'>Нет лидеров!</div>
<?
}
while ($vip = mysql_fetch_assoc($q))
{
$ank=get_user($vip['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".status($ank['id'])." ";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo "".medal($ank['id'])."<br />";

echo "<span class=\"ank_d\">";
if ($ank['pol']==1)
echo "(Муж)\n"; else echo "(Жен) \n";
echo "</span>";
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<span class=\"ank_d\">$ank[ank_age] лет</span>\n";
}
echo "</div>\n";
}



if ($k_page>1)str("center_vnim.php?action=onl&amp;",$k_page,$page); // Вывод страниц
break;
default:
header("location: index.php?");
endswitch;

require '../sys/inc/tfoot.php';
?>